/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class Server {

    private ServerSocket serverSocket;

    private void connect() throws IOException {
        serverSocket = new ServerSocket(9000);
    }

    private void communication() throws IOException {
        System.out.println("Waiting...");
        Socket socket = serverSocket.accept();
        System.out.println("Client connected!");
        chat(socket);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {

        Server server = new Server();
        server.start();

    }

    private void chat(Socket socket) throws IOException {
        while (true) {
            BufferedReader readerSocket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            String messageFromClient = readerSocket.readLine();
            System.out.println("Client: " + messageFromClient);

            if (messageFromClient.equalsIgnoreCase("end")) {
                break;
            }
            //pripremi poruku za klijenta
            System.out.println("Server->Client: ");
            BufferedReader readerKeyboard = new BufferedReader(new InputStreamReader(System.in));
            String messageToClient = readerKeyboard.readLine();

            PrintWriter writerSocket = new PrintWriter(socket.getOutputStream(), true);
            writerSocket.println(messageToClient);
        }
            socket.close();
    }

    private void start() throws IOException {
        connect();
        communication();
    }

}
